# Configuration

### klay\_chainID <a href="#klay_chainid" id="klay_chainid"></a>

체인 ID를 반환합니다.

**Parameters**

None

**Return Value**

| Type     | Description          |
| -------- | -------------------- |
| QUANTITY | 체인 ID를 정수 형태로 반환합니다. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_chainID","id":1}' https://public-en-baobab.klaytn.net

// Result
{
    "jsonrpc":"2.0",
    "id":1,
    "result":"0x7e2"
}
```

### klay\_clientVersion <a href="#klay_clientversion" id="klay_clientversion"></a>

Klaytn 노드의 현재 클라이언트 버전을 반환합니다.

**Parameters**

None

**Return Value**

| Type   | Description                    |
| ------ | ------------------------------ |
| String | Klaytn 노드의 현재 클라이언트 버전을 반환합니다. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_clientVersion","id":1}' https://public-en-baobab.klaytn.net

// Result
{
    "jsonrpc":"2.0",
    "id":1,
    "result":"Klaytn/v0.9.1+3518232250/linux-amd64/go1.11.2"
}
```

### klay\_gasPrice <a href="#klay_gasprice" id="klay_gasprice"></a>

Returns a suggestion for a gas price in peb.

**Parameters**

None

**Return Value**

| Type     | Description                              |
| -------- | ---------------------------------------- |
| QUANTITY | Integer of the current gas price in peb. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_gasPrice","params":[],"id":1}' https://public-en-baobab.klaytn.net

// Result
{
  "jsonrpc": "2.0",
  "id":1,
  "result": "0xAE9F7BCC00" // 250,000,000,000 peb = 250 ston
}
```

### klay\_gasPriceAt <a href="#klay_gaspriceat" id="klay_gaspriceat"></a>

Returns different values based on the condition described below. The unit of the return value is peb.

* If `baseFee` is undefined in the header, it returns the unit price from the governance parameter
* If the block is a pending block, it returns the gas price of the txpool.
* Otherwise, it returns the base fee of the given block.

**Parameters**

| Type   | Description                     |
| ------ | ------------------------------- |
| NUMBER | 블록 번호입니다. 이를 생략하면 최신 단가가 반환됩니다. |

**Return Value**

| Type     | Description                              |
| -------- | ---------------------------------------- |
| QUANTITY | Integer of the current gas price in peb. |

**Example**

```javascript
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_gasPriceAt","params":["0x64"],"id":1}' https://public-en-baobab.klaytn.net

// Result
{
  "jsonrpc": "2.0",
  "id":1,
  "result": "0xAE9F7BCC00" // 250,000,000,000 peb = 250 ston
}
```

### klay\_isParallelDBWrite <a href="#klay_isparalleldbwrite" id="klay_isparalleldbwrite"></a>

Returns `true` if the node is writing blockchain data in parallel manner. It is enabled by default.

**Parameters**

None

**Return Value**

| Type    | Description                                                                        |
| ------- | ---------------------------------------------------------------------------------- |
| Boolean | `true`이면 노드가 병렬로 블록체인 데이터를 쓰고 있다는 것입니다. 노드가 순차적으로 블록체인 데이터를 쓰고 있으면 `false`를 반환합니다. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_isParallelDBWrite","id":1}' https://public-en-baobab.klaytn.net

// Result
{
    "jsonrpc":"2.0",
    "id":1,
    "result":true
}
```

### klay\_isSenderTxHashIndexingEnabled <a href="#klay_issendertxhashindexingenabled" id="klay_issendertxhashindexingenabled"></a>

Returns `true` if the node is indexing sender transaction hash to transaction hash mapping information. It is disabled by default and can be enabled by `--sendertxhashindexing`.

**Parameters**

None

**Return Value**

| Type    | Description                                               |
| ------- | --------------------------------------------------------- |
| Boolean | `true`이면 노드가 트랜잭션 해시 맵핑 정보를 SenderTxHash로 색인화하고 있다는 것입니다. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_isSenderTxHashIndexingEnabled","id":1}' https://public-en-baobab.klaytn.net

// Result
{
    "jsonrpc":"2.0",
    "id":1,
    "result":true
}
```

### klay\_protocolVersion <a href="#klay_protocolversion" id="klay_protocolversion"></a>

노드의 Klaytn 프로토콜 버전을 반환합니다. The current version (as of v1.9.0) of Cypress/Baobab is `istanbul/65`.

**Parameters**

None

**Return Value**

| Type   | Description            |
| ------ | ---------------------- |
| String | 노드의 Klaytn 프로토콜 버전입니다. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_protocolVersion","params":[],"id":1}' https://public-en-baobab.klaytn.net

// Result
{
   "jsonrpc":"2.0",
   "id":1,
   "result":"0x40"
}
```

### klay\_rewardbase <a href="#klay_rewardbase" id="klay_rewardbase"></a>

Returns the rewardbase of the current node. Rewardbase is the address of the account where the block rewards goes to. It is only required for CNs.

**Parameters**

None

**Return Value**

| Type         | Description       |
| ------------ | ----------------- |
| 20-byte DATA | Rewardbase 주소입니다. |

**Example**

```shell
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"klay_rewardbase","id":1}' https://public-en-baobab.klaytn.net

// Result - If requested from non-CN nodes
{
    "jsonrpc":"2.0",
    "id":1,
    "error":{
        "code":-32000,
        "message":"rewardbase must be explicitly specified"
        }
}

// Result - If requested from CN nodes
{
    "jsonrpc":"2.0",
    "id":1,
    "result":"0x96Fd91f34Cc8da9f6338C106Ba37aA8B48FB4Fa5"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://archive-ko.docs.klaytn.foundation/content/dapp/json-rpc/api-references/klay/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
